/* floats */
.float-left {
	float: left;
}

.float-right {
	float: right;
}

.float-none {
	float: none;
}

/* overflow */
.overflow-auto {
	overflow: auto;
}

.overflow-x-auto {
	overflow-x: auto;
}

.overflow-y-auto {
	overflow-y: auto;
}

.overflow-scroll {
	overflow: scroll;
}

.overflow-x-scroll {
	overflow-x: scroll;
}

.overflow-y-scroll {
	overflow-y: scroll;
}

/* position */
.position-relative {
	position: relative;
}

.position-absolute {
	position: absolute;
}

.position-static {
	position: static;
}

.position-fixed {
	position: fixed;
}

.position-sticky {
	position: sticky;
}

/* multiple columns */
.column-count-1 {
	column-count: 1;
}

.column-count-2 {
	column-count: 2;
}

.column-count-3 {
	column-count: 3;
}

.column-count-4 {
	column-count: 4;
}

/* vertical align */
.vertical-align-middle {
	vertical-align: middle;
}

.vertical-align-top {
	vertical-align: top;
}

.vertical-align-bottom {
	vertical-align: bottom;
}

/* text */
.font-bold,
.font-weight-bold {
	font-weight: bold;
}

.font-normal,
.font-weight-normal {
	font-weight: normal;
}

.text-left,
.text-align-left {
	text-align: left;
}

.text-right,
.text-align-right {
	text-align: right;
}

.text-center,
.text-align-center {
	text-align: center;
}

/* clear floats */
.clearfix:before,
.clearfix:after {
	content: ' '; /* 1 */
	display: table; /* 2 */
}

.clearfix:after {
	clear: both;
}

/* shadow */
.box-shadow,
.box-shadow-light {
	-webkit-box-shadow: 1px 1px 2px #ccc;
	box-shadow: 1px 1px 2px #ccc;
}

.box-shadow-medium {
	-webkit-box-shadow: 1px 1px 2px #999;
	box-shadow: 1px 1px 2px #999;
}

.box-shadow-dark {
	-webkit-box-shadow: 1px 1px 2px #555;
	box-shadow: 1px 1px 2px #555;
}

/* border */
.no-border {
	border: none !important;
}

.border,
.border-light {
	border: 1px solid #ccc;
}

.border-medium {
	border: 1px solid #999;
}

.border-dark {
	border: 1px solid #555;
}

/* border light */
.border-top,
.border-top-light {
	border-top: 1px solid #ccc;
}

.border-right,
.border-right-light {
	border-right: 1px solid #ccc;
}

.border-bottom,
.border-bottom-light {
	border-bottom: 1px solid #ccc;
}

.border-left,
.border-left-light {
	border-left: 1px solid #ccc;
}

/* border medium */
.border-top-medium {
	border-top: 1px solid #999;
}

.border-right-medium {
	border-right: 1px solid #999;
}

.border-bottom-medium {
	border-bottom: 1px solid #999;
}

.border-left-medium {
	border-left: 1px solid #999;
}

/* border dark */
.border-top-dark {
	border-top: 1px solid #555;
}

.border-right-dark {
	border-right: 1px solid #555;
}

.border-bottom-dark {
	border-bottom: 1px solid #555;
}

.border-left-dark {
	border-left: 1px solid #555;
}

/* width */
.width-auto {
	width: auto;
}

.width-25 {
	width: 25%;
}

.width-50 {
	width: 50%;
}

.width-75 {
	width: 75%;
}

.width-100 {
	width: 100%;
}

.width-auto {
	width: auto;
}

/* height */
.height-auto {
	height: auto;
}

.height-25 {
	height: 25%;
}

.height-50 {
	height: 50%;
}

.height-75 {
	height: 75%;
}

.height-100 {
	height: 100%;
}

.height-auto {
	height: auto;
}

/* max width and height */
.max-width-100 {
	max-width: 100%;
}

.max-height-100 {
	max-height: 100%;
}

/* min width and height */
.min-width-100 {
	min-width: 100%;
}

.min-height-100 {
	min-height: 100%;
}

/* display */
.none,
.hide,
.display-none {
	display: none;
}

.invisible {
	visibility: hidden;
}

.visuallyhidden {
	visibility: hidden;
	width: 0px;
	height: 0px;
	position: absolute;
	top: 0;
	left: 0;
	border: 0;
	clip: rect(0 0 0 0);
	overflow: hidden;
	padding: 0;
	margin: 0;
}

.show,
.block {
	display: block;
}

.inline-block {
	display: inline-block;
}

.grid {
	display: -ms-grid;
	display: grid;
}

.display-table {
	display: table;
}

.display-table-row {
	display: table-row;
}

.display-table-cell {
	display: table-cell;
}

/* padding */
.padding-0 {
	padding: 0;
}
.padding-5 {
	padding: 5px;
}
.padding-10 {
	padding: 10px;
}
.padding-15 {
	padding: 15px;
}
.padding-20 {
	padding: 20px;
}
.padding-25 {
	padding: 25px;
}
.padding-0-5 {
	padding: 0 5px;
}
.padding-0-10 {
	padding: 0 10px;
}
.padding-0-15 {
	padding: 0 15px;
}
.padding-0-20 {
	padding: 0 20px;
}
.padding-0-25 {
	padding: 0 25px;
}
.padding-5-0 {
	padding: 5px 0;
}
.padding-10-0 {
	padding: 10px 0;
}
.padding-15-0 {
	padding: 15px 0;
}
.padding-20-0 {
	padding: 20px 0;
}
.padding-25-0 {
	padding: 25px 0;
}
.padding-5-10 {
	padding: 5px 10px;
}
.padding-5-15 {
	padding: 5px 15px;
}
.padding-5-20 {
	padding: 5px 20px;
}
.padding-5-25 {
	padding: 5px 25px;
}
.padding-10-5 {
	padding: 10px 5px;
}
.padding-10-15 {
	padding: 10px 15px;
}
.padding-10-20 {
	padding: 10px 20px;
}
.padding-10-25 {
	padding: 10px 25px;
}
.padding-15-5 {
	padding: 15px 5px;
}
.padding-15-10 {
	padding: 15px 10px;
}
.padding-15-20 {
	padding: 15px 20px;
}
.padding-15-25 {
	padding: 15px 25px;
}
.padding-20-5 {
	padding: 20px 5px;
}
.padding-20-10 {
	padding: 20px 10px;
}
.padding-20-15 {
	padding: 20px 15px;
}
.padding-20-25 {
	padding: 20px 25px;
}
.padding-25-5 {
	padding: 25px 5px;
}
.padding-25-10 {
	padding: 25px 10px;
}
.padding-25-15 {
	padding: 25px 15px;
}
.padding-25-20 {
	padding: 25px 20px;
}

/* padding top */
.padding-top-0 {
	padding-top: 0;
}
.padding-top-5 {
	padding-top: 5px;
}
.padding-top-10 {
	padding-top: 10px;
}
.padding-top-15 {
	padding-top: 15px;
}
.padding-top-20 {
	padding-top: 20px;
}
.padding-top-25 {
	padding-top: 25px;
}

/* padding right */
.padding-right-0 {
	padding-right: 0;
}
.padding-right-5 {
	padding-right: 5px;
}
.padding-right-10 {
	padding-right: 10px;
}
.padding-right-15 {
	padding-right: 15px;
}
.padding-right-20 {
	padding-right: 20px;
}
.padding-right-25 {
	padding-right: 25px;
}

/* padding bottom */
.padding-bottom-0 {
	padding-bottom: 0;
}
.padding-bottom-5 {
	padding-bottom: 5px;
}
.padding-bottom-10 {
	padding-bottom: 10px;
}
.padding-bottom-15 {
	padding-bottom: 15px;
}
.padding-bottom-20 {
	padding-bottom: 20px;
}
.padding-bottom-25 {
	padding-bottom: 25px;
}

/* padding left */
.padding-left-0 {
	padding-left: 0;
}
.padding-left-5 {
	padding-left: 5px;
}
.padding-left-10 {
	padding-left: 10px;
}
.padding-left-15 {
	padding-left: 15px;
}
.padding-left-20 {
	padding-left: 20px;
}
.padding-left-25 {
	padding-left: 25px;
}

/* margin */
.margin-0-auto {
	margin: 0 auto;
}
.margin-0 {
	margin: 0;
}
.margin-5 {
	margin: 5px;
}
.margin-10 {
	margin: 10px;
}
.margin-15 {
	margin: 15px;
}
.margin-20 {
	margin: 20px;
}
.margin-25 {
	margin: 25px;
}
.margin-0-5 {
	margin: 0 5px;
}
.margin-0-10 {
	margin: 0 10px;
}
.margin-0-15 {
	margin: 0 15px;
}
.margin-0-20 {
	margin: 0 20px;
}
.margin-0-25 {
	margin: 0 25px;
}
.margin-5-0 {
	margin: 5px 0;
}
.margin-10-0 {
	margin: 10px 0;
}
.margin-15-0 {
	margin: 15px 0;
}
.margin-20-0 {
	margin: 20px 0;
}
.margin-25-0 {
	margin: 25px 0;
}
.margin-5-10 {
	margin: 5px 10px;
}
.margin-5-15 {
	margin: 5px 15px;
}
.margin-5-20 {
	margin: 5px 20px;
}
.margin-5-25 {
	margin: 5px 25px;
}
.margin-10-5 {
	margin: 10px 5px;
}
.margin-10-15 {
	margin: 10px 15px;
}
.margin-10-20 {
	margin: 10px 20px;
}
.margin-10-25 {
	margin: 10px 25px;
}
.margin-15-5 {
	margin: 15px 5px;
}
.margin-15-10 {
	margin: 15px 10px;
}
.margin-15-20 {
	margin: 15px 20px;
}
.margin-15-25 {
	margin: 15px 25px;
}
.margin-20-5 {
	margin: 20px 5px;
}
.margin-20-10 {
	margin: 20px 10px;
}
.margin-20-15 {
	margin: 20px 15px;
}
.margin-20-25 {
	margin: 20px 25px;
}
.margin-25-5 {
	margin: 25px 5px;
}
.margin-25-10 {
	margin: 25px 10px;
}
.margin-25-15 {
	margin: 25px 15px;
}
.margin-25-20 {
	margin: 25px 20px;
}

/* margin top */
.margin-top-0 {
	margin-top: 0;
}
.margin-top-5 {
	margin-top: 5px;
}
.margin-top-10 {
	margin-top: 10px;
}
.margin-top-15 {
	margin-top: 15px;
}
.margin-top-20 {
	margin-top: 20px;
}
.margin-top-25 {
	margin-top: 25px;
}

/* margin right */
.margin-right-0 {
	margin-right: 0;
}
.margin-right-5 {
	margin-right: 5px;
}
.margin-right-10 {
	margin-right: 10px;
}
.margin-right-15 {
	margin-right: 15px;
}
.margin-right-20 {
	margin-right: 20px;
}
.margin-right-25 {
	margin-right: 25px;
}

/* margin bottom */
.margin-bottom-0 {
	margin-bottom: 0;
}
.margin-bottom-5 {
	margin-bottom: 5px;
}
.margin-bottom-10 {
	margin-bottom: 10px;
}
.margin-bottom-15 {
	margin-bottom: 15px;
}
.margin-bottom-20 {
	margin-bottom: 20px;
}
.margin-bottom-25 {
	margin-bottom: 25px;
}

/* margin left */
.margin-left-0 {
	margin-left: 0;
}
.margin-left-5 {
	margin-left: 5px;
}
.margin-left-10 {
	margin-left: 10px;
}
.margin-left-15 {
	margin-left: 15px;
}
.margin-left-20 {
	margin-left: 20px;
}
.margin-left-25 {
	margin-left: 25px;
}

/* colors */

.bg-white {
	background-color: #fff;
}

.bg-black {
	background-color: #000;
}
